%define desktop_vendor newrpms
%{!?_dist: %{expand: %%define dist rhfc7}}

Summary:	GSAMBAD -- A GTK+ administation tool for the SAMBA server.
Name:		gsambad
Version:	0.1.6
Release:	0.1.%{dist}.nr
License:	GPL
Group:		Applications/System
URL:		http://mange.dynalias.org/linux.html
Source0:	http://mange.dynalias.org/linux/%{name}/%{name}-%{version}.tar.gz
BuildRoot:	%{_builddir}/%{name}-%{version}-root
Provides:	gsambad

%description
GSAMBAD is a fast and easy to use GTK+ administration tool for the SAMBA server.

%prep
%setup -q
%configure SYSINIT_START_CMD="chkconfig smb on" SYSINIT_STOP_CMD="chkconfig smb off"

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall INSTALL_USER=`id -un` INSTALL_GROUP=`id -gn`

# Pam auth
install -d %{buildroot}%{_sysconfdir}/pam.d/
install -d %{buildroot}%{_sysconfdir}/security/console.apps
install -m 644 %{_sysconfdir}/pam.d/%{name} %{buildroot}%{_sysconfdir}/pam.d/%{name}
install -m 644 %{_sysconfdir}/security/console.apps/%{name} %{buildroot}%{_sysconfdir}/security/console.apps/%{name}

# Desktop entry
install -d %{buildroot}%{_datadir}/applications
install -m 644 desktop/net-gsambad.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

# Doc files
install -d %{buildroot}%{_datadir}/doc/%{name}
install -m 644  README COPYING AUTHORS ChangeLog %{buildroot}%{_datadir}/doc/%{name}

# Logon scripts 
install -d %{buildroot}/home/netlogon
install -m 755 scripts/example.bat %{buildroot}/home/netlogon

# PDF Printer script
install -d %{buildroot}%{_bindir}
install -m 755 scripts/gsambadpdf %{buildroot}%{_bindir}



################%find_lang %name

%post 
if test ! -h %{_bindir}/gsambad ; then \
ln -s %{_bindir}/consolehelper %{_bindir}/gsambad ; \
fi;

%clean
rm -rf $RPM_BUILD_ROOT

#################%files -f %{name}.lang

%files

%defattr(0755, root, root)
%{_sbindir}/%{name}
%{_bindir}/gsambadpdf
/home/netlogon/example.bat

%defattr(0644, root, root)
#%doc COPYING AUTHORS ChangeLog
%{_datadir}/doc/%{name}/README
%{_datadir}/doc/%{name}/COPYING 
%{_datadir}/doc/%{name}/AUTHORS 
%{_datadir}/doc/%{name}/ChangeLog

%{_sysconfdir}/pam.d/%{name}
%{_sysconfdir}/security/console.apps/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*.png
%dir %{_datadir}/pixmaps/%{name}
%{_datadir}/pixmaps/%{name}/*.png

%changelog
* Sat Jun 16 2007 Magnus-swe <magnus-swe@telia.com>
- Added RC start and stop commands.
- Updated pam.d authentication specifications.
* Wed Aug 2 2006 Magnus-swe <magnus-swe@telia.com>
- Fixed connections tab and split filenames.
- Fixed add_standard_users() and the NOBODY user
- account addition (Thanks to Andreas)
- Added configure option SAMBA_USERMAP.
- The smbusers map file will now be created if
- its bad or doesnt exist.
- The samba root user is now added as a locked account.
- Users changing to BDC, PDC or ADS are notified to alter
- samba root conditions. The 10 second non-root user dialog
- can now be closed with the close buttons.
* Sun Jul 2 2006 Magnus-swe <magnus-swe@telia.com>
- Added multiconnection killing and old conf backup.
- New detection for no good configurations.
* Sat Jun 17 2006 Magnus-swe <magnus-swe@telia.com>
- Added tabs: domain mgmt, connections and machine accounts. 
* Thu May 25 2006 Magnus-swe <magnus-swe@telia.com>
- Some small typo fixes and updates.
* Mon Mar 27 2006 Magnus-swe <magnus-swe@telia.com>
- Added a virtual pdf printer and output share.
- Added a netlogon example.bat script and alot more.
